<!DOCTYPE html>
<html lang="en-us"><head>
  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
   <meta name="description" content="Arbetsplats - &quot;Goismo AB&quot;
Yrke - Mjukvaruutvecklare
Sök jobbet Ansök via arbetsgivarens webbplats
Om jobbet Responsibilities: As a Software Developer, you will be an integral part of our development team, contributing to the design, implementation, and maintenance of software solutions. Your responsibilities will include: Collaborating with cross-functional teams to define software requirements and specifications. Developing and maintaining embedded software for various platforms, with a focus on C, Python, STM32, NXP, nRF, FreeRTOS, Zephyr.">  

  <title>
    
      Software Developer
    
  </title>


  <link rel="shortcut icon" type="image/x-icon" href="/" />
  
  
  
  <link rel="stylesheet" href="/css/main.292b97b24d5fb1c387156cf3f46587b22509d1684b28c98435ed1b4da7238a9c8fae24f2c6c87a16df6d29fc2cd09e1ad3caddd8df02fdc2f22d9999b2e74205.css" integrity="sha512-KSuXsk1fscOHFWzz9GWHsiUJ0WhLKMmENe0bTacjipyPriTyxsh6Ft9tKfws0J4a08rd2N8C/cLyLZmZsudCBQ==" />
  
</head>
<body a="auto">
        <main class="page-content" aria-label="Content">
            <div class="w">
<a href="/">..</a>


<article>
    <p class="post-meta">
        <time datetime="2024-01-08 10:22:20 &#43;0000 UTC">
            2024-01-08
        </time>
    </p>

    <h1>Software Developer</h1>

    

    <p><strong>Arbetsplats</strong> - &quot;Goismo AB&quot;</p>
<p><strong>Yrke</strong> - Mjukvaruutvecklare</p>
<h2 id="sök-jobbet">Sök jobbet</h2>
<p><a href="">Ansök via arbetsgivarens webbplats</a></p>
<h2 id="om-jobbet">Om jobbet</h2>
<p>Responsibilities:
As a Software Developer, you will be an integral part of our development team, contributing to the design, implementation, and maintenance of software solutions. Your responsibilities will include:
Collaborating with cross-functional teams to define software requirements and specifications.
Developing and maintaining embedded software for various platforms, with a focus on C, Python, STM32, NXP, nRF, FreeRTOS, Zephyr.
Implementing and practicing Test-Driven Development (TDD) and Behavior-Driven Development (BDD) methodologies.
Utilizing tools such as Ceedling and Behave for automated testing.
Building and configuring software projects using CMake.
Working with Linux environments, Docker containers, and Bash scripting.
Managing version control using Git and participating in code reviews.
Implementing and maintaining continuous integration and continuous deployment (CI/CD) pipelines using tools like Stash, Bamboo.
Ensuring code quality and security through tools such as SonarQube.
Collaborating with teams using JIRA and Confluence for project management and documentation.
Generating and maintaining software documentation using Doxygen.</p>
<p>Qualifications:
To be successful in this role, you should possess the following qualifications:
Bachelor's or Master's degree in Computer Science, Software Engineering, or a related field.
Proven experience in software development using C, Python, and familiarity with embedded systems.
Experience with microcontrollers such as STM32, NXP, and nRF.
Knowledge of real-time operating systems (FreeRTOS, Zephyr).
Strong understanding and practical application of TDD and BDD.
Proficiency in Ceedling, Behave, CMake, Linux, Docker, Bash scripting.
Familiarity with version control systems, especially Git.
Experience with CI/CD tools such as Stash, Bamboo.
Understanding of code quality and security tools like SonarQube.
Familiarity with project management tools like JIRA and Confluence.
Excellent communication and collaboration skills.</p>
<p>Öppen för alla
Vi fokuserar på din kompetens, inte dina övriga förutsättningar. Vi är öppna för att anpassa rollen eller arbetsplatsen efter dina behov.</p>


</article>

            </div>
        </main>
    </body>
</html>
